View Issue Details

This bug affects 1 person(s).
 8
IDProjectCategoryView StatusLast Update
16632Bug reportsComfortUpdatepublic2022-11-04 13:41
Reporterrnck Assigned Toollehar  
PrioritylowSeverityminor 
Status newResolutionreopened 
Product Version3.22.28 
Summary16632: Confort Update fails with Unknown error
Description

Hi,

I tried to use Comfort Update to update from 3.22.28 (200728) to 3.23.1 (200825). In step 1 it fails with

hard_lock
Unknown error. Please contact the LimeSurvey team.

Steps To Reproduce

Use Comfort Update from Admin Panel.

TagsNo tags attached.
Bug heat8
Complete LimeSurvey version number (& build) 3.22.28+200728
I will donate to the project if issue is resolvedNo
BrowserTested with FF 80.0 (64-Bit), Brave Version 1.13.82 Chromium: 85.0.4183.83
Database type & versionmysql Ver 15.1 Distrib 10.1.45-MariaDB
Server OS (if known)Debian 9.13
Webserver software & version (if known)Apache/2.4.25 (Debian)
PHP Version7.0.33-0+deb9u9

Users monitoring this issue

User List rnck

Activities

LimeBot

LimeBot

2020-09-02 11:56

administrator   ~59680

I can't reproduce it .. Sometimes you have to refresh the page 1 or 2 times ..

rnck

rnck

2020-09-02 12:14

reporter   ~59682

Sorry, just checked my Comfort Update Key and it turns out, that it is not valid anymore. But it should be valid until november, IIRC.

Mazi

Mazi

2022-10-25 12:05

updater   ~72410

I just faced the same issue and "hard_lock" really tells you nothing about the cause. Can we have a more helpgul error message in case of an invalid/outdated update key?

Issue History

Date Modified Username Field Change
2020-09-02 09:28 rnck New Issue
2020-09-02 11:56 LimeBot Note Added: 59680
2020-09-02 11:56 LimeBot Assigned To => LimeBot
2020-09-02 11:56 LimeBot Status new => assigned
2020-09-02 11:57 LimeBot Status assigned => feedback
2020-09-02 12:14 rnck Note Added: 59682
2020-09-02 12:14 rnck Status feedback => assigned
2020-09-17 19:52 LimeBot Status assigned => closed
2020-09-17 19:52 LimeBot Resolution open => fixed
2022-10-25 12:05 Mazi Assigned To LimeBot => ollehar
2022-10-25 12:05 Mazi Priority none => low
2022-10-25 12:05 Mazi Reproducibility have not tried => always
2022-10-25 12:05 Mazi Status closed => new
2022-10-25 12:05 Mazi Resolution fixed => reopened
2022-10-25 12:05 Mazi Note Added: 72410
2022-10-25 12:05 Mazi Bug heat 4 => 6
2022-11-04 13:41 rnck Issue Monitored: rnck
2022-11-04 13:41 rnck Bug heat 6 => 8